
From: Edward Falk <efalk@google.com>

Bug in dvd_read_manufact found by inspection.

Cc: Jens Axboe <axboe@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/cdrom/cdrom.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/cdrom/cdrom.c~fix-typo-in-cdromc drivers/cdrom/cdrom.c
--- 25/drivers/cdrom/cdrom.c~fix-typo-in-cdromc	Tue Nov 23 17:14:08 2004
+++ 25-akpm/drivers/cdrom/cdrom.c	Tue Nov 23 17:14:08 2004
@@ -1876,7 +1876,7 @@ static int dvd_read_manufact(struct cdro
 	s->manufact.len = buf[0] << 8 | buf[1];
 	if (s->manufact.len < 0 || s->manufact.len > 2048) {
 		cdinfo(CD_WARNING, "Received invalid manufacture info length"
-				   " (%d)\n", s->bca.len);
+				   " (%d)\n", s->manufact.len);
 		ret = -EIO;
 	} else {
 		memcpy(s->manufact.value, &buf[4], s->manufact.len);
_
